Skip to main content
POST
/
v0
/
updates
POST /v0/updates
curl --request POST \
  --url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/updates \
  --header 'Content-Type: application/json' \
  --data '
{
  "page_size": 123,
  "lossless": true
}
'
{
  "transactions": [
    {
      "update_id": "<string>",
      "migration_id": 123,
      "workflow_id": "<string>",
      "record_time": "<string>",
      "synchronizer_id": "<string>",
      "effective_at": "<string>",
      "offset": "<string>",
      "root_event_ids": [
        "<string>"
      ],
      "events_by_id": {},
      "external_transaction_hash": "<string>"
    }
  ]
}

Body

application/json
page_size
integer<int32>
required

The maximum number of transactions returned for this request.

after
object

The transactions returned will either have a higher migration id or the same migration id and a record_time greater than the migration id and record time specified.

lossless
boolean

Whether contract payload should be encoded into json using a lossless, but much harder to process, encoding. This is mostly used for backend calls, and is not recommended for external users. Optional and defaults to false.

Response

ok

transactions
object[]
required

An individual item in the update history. May be a transaction or a contract reassignment.